Name:           dmenu
Version:        4.6
Release:        %mkrel 1
Summary:        A dynamic menu for X
License:        MIT License
Group:          Graphical desktop/Other
URL:            http://tools.suckless.org/dmenu/

Source0:        http://dl.suckless.org/tools/%{name}-%{version}.tar.gz

BuildRequires:  libx11-devel
BuildRequires:  libxinerama-devel
BuildRequires:  pkgconfig(xft)
Requires:       terminus-font
Requires:       sselp

Obsoletes:	dwm-tools
Provides:	dwm-tools

%description
dmenu is a dynamic menu for X, originally designed for dwm. It manages large
numbers of user-defined menu items efficiently.


%prep
%setup -q
# No strip for debuginfo, and insert ldflags to enhance the security.
sed -i -e 's|-s ${LIBS}|%{?__global_ldflags} ${LIBS}|' config.mk

%build
make CC="gcc %{optflags} %{ldflags}" \
    X11INC=%{_includedir} \
    X11LIB=%{_libdir}

%install
make install \
     DESTDIR=%{buildroot} \
     PREFIX=%{_prefix} \
     MANPREFIX=%{_mandir}

%files
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Tue Aug 09 2016 sander85 <sander85> 4.6-1.mga6
+ Revision: 1045182
- New version: 4.6

* Thu Feb 11 2016 umeabot <umeabot> 4.5-9.mga6
+ Revision: 953790
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 tv <tv> 4.5-8.mga6
+ Revision: 879841
- reenable debuginfo & fix empty debuginfo

* Wed Sep 09 2015 neoclust <neoclust> 4.5-7.mga6
+ Revision: 875143
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 4.5-6.mga5
+ Revision: 751046
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.5-5.mga5
+ Revision: 678771
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.5-4.mga4
+ Revision: 503915
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 4.5-3.mga3
+ Revision: 348860
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 12 2012 obgr_seneca <obgr_seneca> 4.5-2.mga2
+ Revision: 222953
- set obsoletes and provides for the dwm-tools package

* Mon Jan 09 2012 kamil <kamil> 4.5-1.mga2
+ Revision: 194270
- new version
- clean spec

* Thu Sep 29 2011 fwang <fwang> 4.4.1-2.mga2
+ Revision: 150160
- update br

* Fri Sep 23 2011 obgr_seneca <obgr_seneca> 4.4.1-1.mga2
+ Revision: 146974
- new version 4.4.1

* Sun Sep 11 2011 obgr_seneca <obgr_seneca> 4.4-1.mga2
+ Revision: 142450
- imported package dmenu

